import java.util.*;

public class Ruta
{
    // lista de coordenadas
    private LinkedList<Coordenada> lista;

    /**
     * Constructor que crea la lista
     */
    public Ruta()
    {
        lista=new LinkedList<Coordenada>();
    }
    
    /**
     * A�ade coordenadas a la ruta
     */
    public void anade(Coordenada c)
    {
        lista.addLast(c);
    }
    
    /**
     * Recorre la lista mostrando en pantalla sus elementos
     */
    public void muestra() {
        Iterator<Coordenada> iter=lista.iterator();
        System.out.println("----------------");
        while (iter.hasNext()) {
            Coordenada c=iter.next();
            System.out.println(c.aTexto());   
        }
        System.out.println("...............");
    }
    
    /**
     * Recorre la lista mostrando en pantalla sus elementos
     * Version con instruccion for-each
     */
    public void muestra2() {
        System.out.println("----------------");
        for (Coordenada c : lista) {
            System.out.println(c.aTexto());   
        }
        System.out.println("...............");
    } 
    
    /**
     * Recorre la lista borrando todos sus elementos
     */
    public void borraTodo() {
        Iterator<Coordenada> iter=lista.iterator();
        System.out.println("----------------");
        while (iter.hasNext()) {
            Coordenada c=iter.next();
            System.out.println("Borrado: "+c.aTexto());   
            iter.remove();
        }
        System.out.println("...............");
    }

    /**
     * Busca un elemento y lo borra
     */
    public void borra(Coordenada c) {
        Iterator<Coordenada> iter=lista.iterator();
        boolean encontrado=false;
        System.out.println("----------------");
        while (iter.hasNext() && ! encontrado) {
            Coordenada coord=iter.next();
            if (c.equals(coord)) {
                encontrado=true;
            }
        }
        if (encontrado) {
            System.out.println("Borrado: "+c.aTexto());   
            iter.remove();
        } else {
            System.out.println("Elemento no encontrado");
        }
        System.out.println("...............");
    }
}
