/**
 * Clase que representa un vehiculo cualquiera
 */
public abstract class Vehiculo implements EnteMovil
{
    // constantes estaticas para los colores
    public static final int 
        rojo=1,
        verde=2,
        azul=3;

    public static final String[] nombre=
    {"error", "rojo","verde","azul"};
      
    // atributos privados
    private int color;
    private int numSerie;

    /**
     * Constructor al que le pasamos el color y numero de serie
     */
    public Vehiculo(int color, int numSerie)
    {
        this.color=color;
        this.numSerie=numSerie;
    }

    /**
     * Obtener el numero de serie
     */
    public int numSerie()
    {
        return numSerie;
    }
    
    /**
     * Obtener el color
     */
    public int color()
    {
        return color;
    }
    
    /**
     * Pintar el vehiculo de un color
     */
    public void pinta(int nuevoColor)
    {
        color=nuevoColor;
    }
    
    /** 
     * Obtener un texto con los datos del vehiculo
     */
    public String aTexto() {
        return "Vehiculo -> numSerie= "+numSerie+", color= "+nombre[color];
    }
    
    /**
     * Metodo Posicion
     */
    public abstract double posicion();
}
